/*
   orxonox - the future of 3D-vertical-scrollers

   Copyright (C) 2004 orx

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   ### File Specific:
   main-programmer: David Hasenfratz
   co-programmer: ...

   this file extends the framework file, so it renders what i want.
*/

#include <stdlib.h>

#include "framework.h"
#include "movie_player.h"

MoviePlayer* movie_player;

void Framework::moduleInit(int argc, char** argv)
{
  movie_player = new MoviePlayer(argv[1]);

  movie_player->printInformation();
}

void Framework::moduleEventHandler(SDL_Event* event)
{

}

void Framework::moduleTick(float dt)
{
  movie_player->tick(dt);
}

void Framework::moduleDraw(void) const
{
  movie_player->draw();
}


void Framework::moduleHelp(void) const
{

}
